Package org.bgerp.app.cfg

# Class SimpleConfigMap

java.lang.Object
java.util.AbstractMap<String,String>
org.bgerp.app.cfg.ConfigMap
org.bgerp.app.cfg.SimpleConfigMap

All Implemented Interfaces:
  `Map<String,String>`

public class SimpleConfigMap extends ConfigMap
Simple implementation of ConfigMap.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  ### Fields inherited from class org.bgerp.app.cfg.ConfigMap

  `EMPTY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Set<Map.Entry<String,String>>`
  `entrySet()`
  `String`
  `get(String key, String def)`
  `static SimpleConfigMap`
  `of(Object... keyValues)`
  Creates ParameterMap object from key values pairs.
  `String`
  `put(String key, String value)`

  ### Methods inherited from class org.bgerp.app.cfg.ConfigMap

  `clearConfigs, get, getBigDecimal, getBoolean, getBoolean, getConfig, getConfig, getDataString, getInt, getInt, getLong, getLong, getSok, getSok, getSokBoolean, getSokBoolean, getSokLong, getSokLong, removeConfig, sub, subIndexed, subKeyed, subSok, subSokIndexed, validateConfig`

  ### Methods inherited from class java.util.AbstractMap

  `clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, remove, size, toString, values`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Method Details

  - ### of

    public static SimpleConfigMap of(Object... keyValues)
    Creates ParameterMap object from key values pairs.
    Parameters:
      `keyValues` - key1, value1,... String.valueOf() is applied to each argument.
    Returns:

  - ### get

    public String get(String key, String def)
    Specified by:
      `get` in class `ConfigMap`

  - ### put

    public String put(String key, String value)
    Specified by:
      `put` in interface `Map<String,String>`
    Overrides:
      `put` in class `AbstractMap<String,String>`

  - ### entrySet

    public Set<Map.Entry<String,String>> entrySet()
    Specified by:
      `entrySet` in interface `Map<String,String>`
    Specified by:
      `entrySet` in class `ConfigMap`